Subject: Re: What's cooking in git.git (Jan 2009, #02; Sun, 11)

From: Jakub Narebski <[email-masked]>
Date: Fri, 23 Jan 2009 13:04:22 +0100

On Wed, 21 Jan 09, Sebastien Cevey wrote:

>>>>> ----------------------------------------------------------------
>>>>> [Actively cooking]
>>>>>
>>>>> * sc/gitweb-category (Fri Dec 12 00:45:12 2008 +0100) 3 commits
>>>>>  - gitweb: Optional grouping of projects by category
>>>>>  - gitweb: Split git_project_list_body in two functions
>>>>>  - gitweb: Modularized git_get_project_description to be more generic
>>>>
>>>> This I think needs some further cooking.  I guess with addition of one
>>>> more patch to series categories could be sorted together with projects
>>>> they contain, and not always have to be in fixed ordering.
>>> 
>>> These should be moved to the Stalled category; nobody seems to be
>>> discussing improvements and sending updates to the series as far as I
>>> recall.
>> 
>> I think it is just the author being slow moving; there was quite
>> a bit of time between subsequent versions of this patch series.
> 
> I don't recall what was left to do on top of the series of patches I submitted,
> could you refresh my mind on that if it still needs to be done? I remember the
> discussion trailing off as categorized ordering was being discussed..

I'd have to take a fresh look at discussion but I remember two things:
first, that the code dealing with filtering out projects (e.g. removing
forks) is high incompatibile with introducing later limiting number of
projects per page, as it currently filters out paths _during printing_.
So we might want to have this cleanup before your series (which now
include a bit unnecessary preparation for projects_list view pagination).

Second, there was IMHO one unnecessary sorting, as with one more commit
we can have quite simply categories sorted in order of sorting project
they contain, which means that if we sort projects by age (youngest or
rather most recently changed first) then with one more commit we can
have category containing freshest project first.

I'll try to review this series soon, and if you don't have time I'll
resend them with those minor corrections.
-- 
Jakub Narebski
Poland